Bug 238333 - PPC CFI and non-CFI backtraces broken
Summary: PPC CFI and non-CFI backtraces broken
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdb   
(Show other bugs)
Version: 5.0
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 140532
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-29 13:22 UTC by Jan Kratochvil
Modified: 2008-05-21 16:55 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0332
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:55:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0332 normal SHIPPED_LIVE gdb bug fix and enhancement update 2008-05-20 17:58:35 UTC

Description Jan Kratochvil 2007-04-29 13:22:45 UTC
+++ This bug was initially created as a clone of Bug #140532 +++

#0  0x0fe757c8 in poll () from /lib/tls/libc.so.6
#1  0x0f91f0f0 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#2  0x0fe757b0 in poll () from /lib/tls/libc.so.6
#3  0x1028bbe8 in ?? ()
#4  0x0fe757b0 in poll () from /lib/tls/libc.so.6
#5  0x1028bbe8 in ?? ()
#6  0x0fe757b0 in poll () from /lib/tls/libc.so.6
#7  0x0f93cd00 in g_static_private_free () from /usr/lib/libglib-2.0.so.0
Previous frame inner to this frame (corrupt stack?)

-- Additional comment from jan.kratochvil@redhat.com on 2007-01-12 17:23 EST --
Committed at least the nonproblematic non-CFI part to RawHide now (no testcase):

* Fri Jan 12 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.5-25
- Fix unwinding of non-CFI (w/o debuginfo) PPC code by recent GCC (BZ 140532).


-- Additional comment from jan.kratochvil@redhat.com on 2007-01-13 04:32 EST --
Committed to RawHide:
* Fri Jan 13 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.5-26
- Fix unwinding of non-debug (.eh_frame) PPC code, Andreas Schwab (BZ 140532).
- Fix unwinding of debug (.debug_frame) PPC code, workaround GCC (BZ 140532).


-- Additional comment from jan.kratochvil@redhat.com on 2007-01-13 04:38 EST --
Posted upstream:
http://sources.redhat.com/ml/gdb-patches/2007-01/msg00327.html


-- Additional comment from jan.kratochvil@redhat.com on 2007-02-05 04:48 EST --
Just KFAILed the false FAILs of `bt-ppc' testcase on x86_64:
* Mon Feb  5 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-3
- Testcase of unwinding has now marked its unsolvable cases (for BZ 140532).

Comment 1 RHEL Product and Program Management 2007-04-29 13:44:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Andrew Cagney 2007-05-10 21:15:43 UTC
Equivalent committed upstream?  Test-case?

Comment 3 Jan Kratochvil 2007-06-22 16:36:44 UTC
[comments for myself only]

Upstream:
  http://sources.redhat.com/ml/gdb-patches/2007-03/msg00264.html

Testcase provided as Red Hat patch: gdb.base/bt-ppc.exp
(It should be fixed/improved as I see now.)


Comment 5 RHEL Product and Program Management 2007-10-16 04:01:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 errata-xmlrpc 2008-05-21 16:55:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0332.html



Note You need to log in before you can comment on or make changes to this bug.